package jp.co.intra_mart.cookbook_118986;

import jp.co.intra_mart.foundation.user_context.model.Department;

/**
 * カレントの会社コードを取得する動的パラメータです。
 * 
 * @author INTRAMART
 *
 */
public class SystemParameterCurrentCompanyCd extends AbstractSystemParameterCurrentDepartment {

    @Override
    public String get(final String syskey) {
        // カレント組織を取得
        final Department currentDepartment = getCurrentDepartment();
        // 会社コードを返却
        return currentDepartment == null ? "" : currentDepartment.getCompanyCd();
    }
}
