package jp.co.intra_mart.cookbook_118986;

import jp.co.intra_mart.foundation.user_context.model.Department;

/**
 * カレントの組織セットコードを取得する動的パラメータです。
 * 
 * @author INTRAMART
 *
 */
public class SystemParameterCurrentDepartmentSetCd extends AbstractSystemParameterCurrentDepartment {

    @Override
    public String get(final String syskey) {
        // カレント組織を取得
        final Department currentDepartment = getCurrentDepartment();
        // 組織セットコードを返却
        return currentDepartment == null ? "" : currentDepartment.getDepartmentSetCd();
    }
}
